using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Http;
using Microsoft.Extensions.Logging;
using Microsoft.Extensions.Options;
using Microsoft.AspNetCore.Authorization;

using System.Web;
using MySystem.MainModels;
using LitJson;
using Library;

namespace MySystem.Areas.Api.Controllers.v1
{
    [Area("Api")]
    [Route("Api/[controller]/[action]")]
    public class SftController : BaseController
    {
        public SftController(IHttpContextAccessor accessor, ILogger<BaseController> logger, IOptions<Setting> setting) : base(accessor, logger, setting)
        {
        }



        #region 设置押金
        public string SetDeposit(string value)
        {
            string content = "";
            try
            {
                JsonData data = JsonMapper.ToObject(value);
                string sn = data["sn"].ToString();
                string policyNo = data["policyNo"].ToString();
                content = PublicImportDataService.Instance.SetDepositForSft(sn, policyNo);
            }
            catch(Exception ex)
            {
                function.WriteLog(DateTime.Now.ToString() + "\n" + ex.ToString(), "设置盛付通押金异常");
            }
            return content;
        }
        #endregion


        #region 设置费率
        public string SetFee(string value)
        {
            string content = "";
            try
            {
                JsonData data = JsonMapper.ToObject(value);
                string merchantId = data["merchantId"].ToString();
                string fee = data["fee"].ToString();
                content = PublicImportDataService.Instance.SetFeeForSft(merchantId, fee);
            }
            catch(Exception ex)
            {
                function.WriteLog(DateTime.Now.ToString() + "\n" + ex.ToString(), "设置盛付通费率异常");
            }
            return content;
        }
        #endregion

    }
}

